<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: scripts/1_Core/proto/EnScript.c File Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d4/d15/_en_script_8c.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Structures</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle"><div class="title">EnScript.c File Reference</div></div>
</div><!--header-->
<div class="contents">

<p><a href="../../d4/d15/_en_script_8c_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="nested-classes" name="nested-classes"></a>
Data Structures</h2></td></tr>
<tr class="memitem:d4/d14/class_class"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a></td></tr>
<tr class="memdesc:d4/d14/class_class"><td class="mdescLeft">&#160;</td><td class="mdescRight">Super root of all classes in Enforce script.  <a href="../../d5/d78/group___enforce.html#d4/d14/class_class">More...</a><br /></td></tr>
<tr class="separator:d4/d14/class_class"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:dd/d17/class_managed"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a></td></tr>
<tr class="memdesc:dd/d17/class_managed"><td class="mdescLeft">&#160;</td><td class="mdescRight">TODO doc.  <a href="../../d5/d78/group___enforce.html#dd/d17/class_managed">More...</a><br /></td></tr>
<tr class="separator:dd/d17/class_managed"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d8/ddf/class_non_serialized"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#d8/ddf/class_non_serialized">NonSerialized</a></td></tr>
<tr class="memdesc:d8/ddf/class_non_serialized"><td class="mdescLeft">&#160;</td><td class="mdescRight">TODO doc.  <a href="../../d5/d78/group___enforce.html#d8/ddf/class_non_serialized">More...</a><br /></td></tr>
<tr class="separator:d8/ddf/class_non_serialized"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:df/da4/class_script_module"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#df/da4/class_script_module">ScriptModule</a></td></tr>
<tr class="memdesc:df/da4/class_script_module"><td class="mdescLeft">&#160;</td><td class="mdescRight">Module containing compiled scripts.  <a href="../../d5/d78/group___enforce.html#df/da4/class_script_module">More...</a><br /></td></tr>
<tr class="separator:df/da4/class_script_module"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:de/dbc/class_en_script"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#de/dbc/class_en_script">EnScript</a></td></tr>
<tr class="separator:de/dbc/class_en_script"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d8/d71/classarray_3_01_class_01_t_01_4"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#d8/d71/classarray_3_01_class_01_t_01_4">array&lt; Class T &gt;</a></td></tr>
<tr class="separator:d8/d71/classarray_3_01_class_01_t_01_4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d4/d57/classset_3_01_class_01_t_01_4"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#d4/d57/classset_3_01_class_01_t_01_4">set&lt; Class T &gt;</a></td></tr>
<tr class="separator:d4/d57/classset_3_01_class_01_t_01_4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:d5/d9d/classmap_3_01_class_01_t_key_00_01_class_01_t_value_01_4"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#d5/d9d/classmap_3_01_class_01_t_key_00_01_class_01_t_value_01_4">map&lt; Class TKey, Class TValue &gt;</a></td></tr>
<tr class="memdesc:d5/d9d/classmap_3_01_class_01_t_key_00_01_class_01_t_value_01_4"><td class="mdescLeft">&#160;</td><td class="mdescRight">Associative array template <br  />
 usage:  <a href="../../d5/d78/group___enforce.html#d5/d9d/classmap_3_01_class_01_t_key_00_01_class_01_t_value_01_4">More...</a><br /></td></tr>
<tr class="separator:d5/d9d/classmap_3_01_class_01_t_key_00_01_class_01_t_value_01_4"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="typedef-members" name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr class="memitem:gad26f01d8716ee335b773c04a1f8d5c82"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>[]&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gad26f01d8716ee335b773c04a1f8d5c82">TypeID</a></td></tr>
<tr class="memdesc:gad26f01d8716ee335b773c04a1f8d5c82"><td class="mdescLeft">&#160;</td><td class="mdescRight">script representation for C++ RTTI types  <a href="../../d5/d78/group___enforce.html#gad26f01d8716ee335b773c04a1f8d5c82">More...</a><br /></td></tr>
<tr class="separator:gad26f01d8716ee335b773c04a1f8d5c82"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga28845e68ed8329715e29aded7542ca15"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga28845e68ed8329715e29aded7542ca15">TStringArray</a></td></tr>
<tr class="separator:ga28845e68ed8329715e29aded7542ca15"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga16d7a64e09e3d0ea3b844c738952c972"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga16d7a64e09e3d0ea3b844c738952c972">TFloatArray</a></td></tr>
<tr class="separator:ga16d7a64e09e3d0ea3b844c738952c972"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga62db042ecba76039a4391153a4660c2c"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga62db042ecba76039a4391153a4660c2c">TIntArray</a></td></tr>
<tr class="separator:ga62db042ecba76039a4391153a4660c2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab207c414ac3861eefcc81ded288addad"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d9/db9/classbool.html">bool</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gab207c414ac3861eefcc81ded288addad">TBoolArray</a></td></tr>
<tr class="separator:gab207c414ac3861eefcc81ded288addad"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6cdf0984ca5c1d7da39ef332c72babee"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga6cdf0984ca5c1d7da39ef332c72babee">TClassArray</a></td></tr>
<tr class="separator:ga6cdf0984ca5c1d7da39ef332c72babee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga48aacc07b9a9ffd3cf30e63dd4c931d1"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga48aacc07b9a9ffd3cf30e63dd4c931d1">TManagedArray</a></td></tr>
<tr class="separator:ga48aacc07b9a9ffd3cf30e63dd4c931d1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga562dfce14410bf190180750d8b233670"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga562dfce14410bf190180750d8b233670">TManagedRefArray</a></td></tr>
<tr class="separator:ga562dfce14410bf190180750d8b233670"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5590195b00c58d7c02875a94e9502191"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga5590195b00c58d7c02875a94e9502191">TVectorArray</a></td></tr>
<tr class="separator:ga5590195b00c58d7c02875a94e9502191"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1089b41e0452fe47cf93bfa942e5f961"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d2/d41/classarray.html">array</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga1089b41e0452fe47cf93bfa942e5f961">TTypenameArray</a></td></tr>
<tr class="separator:ga1089b41e0452fe47cf93bfa942e5f961"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae025ef147be7b5944cf854566ae34e89"><td class="memItemLeft" align="right" valign="top">typedef set&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gae025ef147be7b5944cf854566ae34e89">TStringSet</a></td></tr>
<tr class="separator:gae025ef147be7b5944cf854566ae34e89"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7745bde638fcb9bf265ba3dc67a53e8c"><td class="memItemLeft" align="right" valign="top">typedef set&lt; <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga7745bde638fcb9bf265ba3dc67a53e8c">TFloatSet</a></td></tr>
<tr class="separator:ga7745bde638fcb9bf265ba3dc67a53e8c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga106866dd8056fa955e6f852a3ce7d876"><td class="memItemLeft" align="right" valign="top">typedef set&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga106866dd8056fa955e6f852a3ce7d876">TIntSet</a></td></tr>
<tr class="separator:ga106866dd8056fa955e6f852a3ce7d876"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga193f0f017f3e08db0132b8a072f8e634"><td class="memItemLeft" align="right" valign="top">typedef set&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga193f0f017f3e08db0132b8a072f8e634">TClassSet</a></td></tr>
<tr class="separator:ga193f0f017f3e08db0132b8a072f8e634"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf35b36adf8085d48bae2ca6f1c4d259d"><td class="memItemLeft" align="right" valign="top">typedef set&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaf35b36adf8085d48bae2ca6f1c4d259d">TManagedSet</a></td></tr>
<tr class="separator:gaf35b36adf8085d48bae2ca6f1c4d259d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga866b37776d1b8f01272314a8669be425"><td class="memItemLeft" align="right" valign="top">typedef set&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga866b37776d1b8f01272314a8669be425">TManagedRefSet</a></td></tr>
<tr class="separator:ga866b37776d1b8f01272314a8669be425"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad5db5219fde7f32e054173887d0300bd"><td class="memItemLeft" align="right" valign="top">typedef set&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gad5db5219fde7f32e054173887d0300bd">TTypenameSet</a></td></tr>
<tr class="separator:gad5db5219fde7f32e054173887d0300bd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4f23040c4618033ded14b8702ae156f9"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga4f23040c4618033ded14b8702ae156f9">MapIterator</a></td></tr>
<tr class="separator:ga4f23040c4618033ded14b8702ae156f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga42739fb67f3d0b2efd05d254538c89fc"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga42739fb67f3d0b2efd05d254538c89fc">TIntFloatMap</a></td></tr>
<tr class="separator:ga42739fb67f3d0b2efd05d254538c89fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab50ef5f13f1f034eb3db819bf76551bf"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gab50ef5f13f1f034eb3db819bf76551bf">TIntIntMap</a></td></tr>
<tr class="separator:gab50ef5f13f1f034eb3db819bf76551bf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga402b177b4978a7fd87af95d978fec899"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga402b177b4978a7fd87af95d978fec899">TIntStringMap</a></td></tr>
<tr class="separator:ga402b177b4978a7fd87af95d978fec899"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga317ef35e6415ba44f731498e9229da1e"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga317ef35e6415ba44f731498e9229da1e">TIntClassMap</a></td></tr>
<tr class="separator:ga317ef35e6415ba44f731498e9229da1e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gadc8a55ad35f712dfb0b7be0d020cd112"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gadc8a55ad35f712dfb0b7be0d020cd112">TIntManagedMap</a></td></tr>
<tr class="separator:gadc8a55ad35f712dfb0b7be0d020cd112"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf642127f7e7fd61ebb0aa6c9f03f4bc6"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaf642127f7e7fd61ebb0aa6c9f03f4bc6">TIntManagedRefMap</a></td></tr>
<tr class="separator:gaf642127f7e7fd61ebb0aa6c9f03f4bc6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga949f0f6b92715ccf7498fd317fcfff99"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga949f0f6b92715ccf7498fd317fcfff99">TIntTypenameMap</a></td></tr>
<tr class="separator:ga949f0f6b92715ccf7498fd317fcfff99"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf315be5a95ffaa57d3fd7d06a169445f"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaf315be5a95ffaa57d3fd7d06a169445f">TIntVectorMap</a></td></tr>
<tr class="separator:gaf315be5a95ffaa57d3fd7d06a169445f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabb74d2d975d4f5b0a967f3f60707f935"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gabb74d2d975d4f5b0a967f3f60707f935">TStringFloatMap</a></td></tr>
<tr class="separator:gabb74d2d975d4f5b0a967f3f60707f935"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga83f67e36d65abad393ce81d2b5cdd854"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga83f67e36d65abad393ce81d2b5cdd854">TStringIntMap</a></td></tr>
<tr class="separator:ga83f67e36d65abad393ce81d2b5cdd854"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab154144a602817bc5d36e49a4b35ceee"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gab154144a602817bc5d36e49a4b35ceee">TStringStringMap</a></td></tr>
<tr class="separator:gab154144a602817bc5d36e49a4b35ceee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad1f20c541b121b0e71f9ebcb64b343bb"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gad1f20c541b121b0e71f9ebcb64b343bb">TStringClassMap</a></td></tr>
<tr class="separator:gad1f20c541b121b0e71f9ebcb64b343bb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff45f2cccc9ed9e6f33d86ff5e30bc09"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaff45f2cccc9ed9e6f33d86ff5e30bc09">TStringManagedMap</a></td></tr>
<tr class="separator:gaff45f2cccc9ed9e6f33d86ff5e30bc09"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaab256e2d08f8ce40356414f373d142eb"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaab256e2d08f8ce40356414f373d142eb">TStringManagedRefMap</a></td></tr>
<tr class="separator:gaab256e2d08f8ce40356414f373d142eb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae064b6e7a89907f699d115f72423bdb0"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gae064b6e7a89907f699d115f72423bdb0">TStringTypenameMap</a></td></tr>
<tr class="separator:gae064b6e7a89907f699d115f72423bdb0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga388ee965319ca85f77e1528515d94c55"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga388ee965319ca85f77e1528515d94c55">TStringVectorMap</a></td></tr>
<tr class="separator:ga388ee965319ca85f77e1528515d94c55"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga36da86e30a2763a6d8e4618c04149e4c"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga36da86e30a2763a6d8e4618c04149e4c">TClassFloatMap</a></td></tr>
<tr class="separator:ga36da86e30a2763a6d8e4618c04149e4c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga6d31d08de60121beec29e0bdf666b602"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga6d31d08de60121beec29e0bdf666b602">TClassIntMap</a></td></tr>
<tr class="separator:ga6d31d08de60121beec29e0bdf666b602"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab37b404b91e7a0330fe910314534fd52"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gab37b404b91e7a0330fe910314534fd52">TClassStringMap</a></td></tr>
<tr class="separator:gab37b404b91e7a0330fe910314534fd52"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga64445d3b7bd3a68310a437ac160f56f7"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga64445d3b7bd3a68310a437ac160f56f7">TClassClassMap</a></td></tr>
<tr class="separator:ga64445d3b7bd3a68310a437ac160f56f7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaff76e11ab2aae9d07d37ec3dffe1a84d"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaff76e11ab2aae9d07d37ec3dffe1a84d">TClassManagedMap</a></td></tr>
<tr class="separator:gaff76e11ab2aae9d07d37ec3dffe1a84d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga952484ddf334c460292eed5c7b394a95"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga952484ddf334c460292eed5c7b394a95">TClassManagedRefMap</a></td></tr>
<tr class="separator:ga952484ddf334c460292eed5c7b394a95"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1f6b85e30090e57a9bc99bf75420a8de"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga1f6b85e30090e57a9bc99bf75420a8de">TClassTypenameMap</a></td></tr>
<tr class="separator:ga1f6b85e30090e57a9bc99bf75420a8de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga1a802fa0a7800e6dc9c5d0a27a7439de"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga1a802fa0a7800e6dc9c5d0a27a7439de">TClassVectorMap</a></td></tr>
<tr class="separator:ga1a802fa0a7800e6dc9c5d0a27a7439de"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga08a5054036632a3c58f398fe469edfa3"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga08a5054036632a3c58f398fe469edfa3">TTypeNameFloatMap</a></td></tr>
<tr class="separator:ga08a5054036632a3c58f398fe469edfa3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab023a52427e3d7d79c5e77d08b3dc64e"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gab023a52427e3d7d79c5e77d08b3dc64e">TTypeNameIntMap</a></td></tr>
<tr class="separator:gab023a52427e3d7d79c5e77d08b3dc64e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad98e115128215b1575e1e0334581437f"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gad98e115128215b1575e1e0334581437f">TTypeNameStringMap</a></td></tr>
<tr class="separator:gad98e115128215b1575e1e0334581437f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gac2d7ca88f829e1ea3893422a34dc06ac"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gac2d7ca88f829e1ea3893422a34dc06ac">TTypeNameClassMap</a></td></tr>
<tr class="separator:gac2d7ca88f829e1ea3893422a34dc06ac"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga9e2ea19d7f924aebf4b3ce8c454d00ea"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga9e2ea19d7f924aebf4b3ce8c454d00ea">TTypeNameManagedMap</a></td></tr>
<tr class="separator:ga9e2ea19d7f924aebf4b3ce8c454d00ea"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaaf3a821da9d6df542eac27d8b6b56843"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaaf3a821da9d6df542eac27d8b6b56843">TTypeNameManagedRefMap</a></td></tr>
<tr class="separator:gaaf3a821da9d6df542eac27d8b6b56843"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf6547d363830cbb3771728e1a21dfd08"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaf6547d363830cbb3771728e1a21dfd08">TTypeNameTypenameMap</a></td></tr>
<tr class="separator:gaf6547d363830cbb3771728e1a21dfd08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8e3ca2a89a78b6602983a2eeabfc646f"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d2/db4/classtypename.html">typename</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga8e3ca2a89a78b6602983a2eeabfc646f">TTypeNameVectorMap</a></td></tr>
<tr class="separator:ga8e3ca2a89a78b6602983a2eeabfc646f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae18e7a61e54054e48cbf1871852203e0"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gae18e7a61e54054e48cbf1871852203e0">TManagedFloatMap</a></td></tr>
<tr class="separator:gae18e7a61e54054e48cbf1871852203e0"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga019498091469059a28267443094df0dc"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga019498091469059a28267443094df0dc">TManagedIntMap</a></td></tr>
<tr class="separator:ga019498091469059a28267443094df0dc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafce04ea429a80772ab019cba1a319d57"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gafce04ea429a80772ab019cba1a319d57">TManagedStringMap</a></td></tr>
<tr class="separator:gafce04ea429a80772ab019cba1a319d57"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga058b3055a9ab33a1ad31237c41b87111"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga058b3055a9ab33a1ad31237c41b87111">TManagedClassMap</a></td></tr>
<tr class="separator:ga058b3055a9ab33a1ad31237c41b87111"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga958855b207bdbc70e77e62842d9aada1"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga958855b207bdbc70e77e62842d9aada1">TManagedManagedMap</a></td></tr>
<tr class="separator:ga958855b207bdbc70e77e62842d9aada1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa8638210ab916d58d0cad43a9120d4b9"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaa8638210ab916d58d0cad43a9120d4b9">TManagedManagedRefMap</a></td></tr>
<tr class="separator:gaa8638210ab916d58d0cad43a9120d4b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8247ef8608ae9bdd5918e738c06106c2"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga8247ef8608ae9bdd5918e738c06106c2">TManagedTypenameMap</a></td></tr>
<tr class="separator:ga8247ef8608ae9bdd5918e738c06106c2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafd8b5e014b7aa523305fe4a93910a3be"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gafd8b5e014b7aa523305fe4a93910a3be">TManagedVectorMap</a></td></tr>
<tr class="separator:gafd8b5e014b7aa523305fe4a93910a3be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga53b3e3712da5d96649e1b928fba15775"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d4/dc3/classfloat.html">float</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga53b3e3712da5d96649e1b928fba15775">TManagedRefFloatMap</a></td></tr>
<tr class="separator:ga53b3e3712da5d96649e1b928fba15775"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gabc1fc3586d0a70ab21778c8b51b9e8e6"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gabc1fc3586d0a70ab21778c8b51b9e8e6">TManagedRefIntMap</a></td></tr>
<tr class="separator:gabc1fc3586d0a70ab21778c8b51b9e8e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga948cb62afe7d1088c06f9ca96e60183b"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga948cb62afe7d1088c06f9ca96e60183b">TManagedRefStringMap</a></td></tr>
<tr class="separator:ga948cb62afe7d1088c06f9ca96e60183b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf82b40d5bcc7538fd7dcd6feedd95d6e"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaf82b40d5bcc7538fd7dcd6feedd95d6e">TManagedRefClassMap</a></td></tr>
<tr class="separator:gaf82b40d5bcc7538fd7dcd6feedd95d6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga27202819942fdeaf55bef7ee147c7e18"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga27202819942fdeaf55bef7ee147c7e18">TManagedRefManagedMap</a></td></tr>
<tr class="separator:ga27202819942fdeaf55bef7ee147c7e18"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5aa5896ce3dafc8d315cc9b6608b7ae2"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga5aa5896ce3dafc8d315cc9b6608b7ae2">TManagedRefManagedRefMap</a></td></tr>
<tr class="separator:ga5aa5896ce3dafc8d315cc9b6608b7ae2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7f1d83b0bd8941ef139211936547b5ef"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d2/db4/classtypename.html">typename</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga7f1d83b0bd8941ef139211936547b5ef">TManagedRefTypenameMap</a></td></tr>
<tr class="separator:ga7f1d83b0bd8941ef139211936547b5ef"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4a5f1d3cac166ef9bc4d20fd60ec25f9"><td class="memItemLeft" align="right" valign="top">typedef <a class="el" href="../../d6/d7f/_controls_xbox_new_8c.html#a9ec9dda576db2a36c42c1c3af155d07c">map</a>&lt; ref <a class="el" href="../../d5/d78/group___enforce.html#dd/d17/class_managed">Managed</a>, <a class="el" href="../../d7/dfc/classvector.html">vector</a> &gt;&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga4a5f1d3cac166ef9bc4d20fd60ec25f9">TManagedRefVectorMap</a></td></tr>
<tr class="separator:ga4a5f1d3cac166ef9bc4d20fd60ec25f9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="func-members" name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:ga103d3d25634e2d2b24e45c0515bffaa2"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga103d3d25634e2d2b24e45c0515bffaa2">Sort</a> (void param_array[], <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> num)</td></tr>
<tr class="memdesc:ga103d3d25634e2d2b24e45c0515bffaa2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Sorts static array of integers(ascendically) / floats(ascendically) / strings(alphabetically)  <a href="../../d5/d78/group___enforce.html#ga103d3d25634e2d2b24e45c0515bffaa2">More...</a><br /></td></tr>
<tr class="separator:ga103d3d25634e2d2b24e45c0515bffaa2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaa75c760b74308e077562a63867289e63"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#gaa75c760b74308e077562a63867289e63">reversearray</a> (void param_array)</td></tr>
<tr class="separator:gaa75c760b74308e077562a63867289e63"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7045f3190b5a0d259ecd1a02d25d04cc"><td class="memItemLeft" align="right" valign="top">proto void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga7045f3190b5a0d259ecd1a02d25d04cc">copyarray</a> (void destArray, void srcArray)</td></tr>
<tr class="separator:ga7045f3190b5a0d259ecd1a02d25d04cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0c937eda722c21f9c16c9250f0464792"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga0c937eda722c21f9c16c9250f0464792">ParseStringEx</a> (inout <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> input, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> token)</td></tr>
<tr class="memdesc:ga0c937eda722c21f9c16c9250f0464792"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses one token from input string. Result is put into token string, and type of token is returned. <a class="el" href="../../d4/d7b/class_input.html">Input</a> string is left-truncated by the resulting token length.  <a href="../../d5/d78/group___enforce.html#ga0c937eda722c21f9c16c9250f0464792">More...</a><br /></td></tr>
<tr class="separator:ga0c937eda722c21f9c16c9250f0464792"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga012c3b0b9f54478589a250089f7f0e1d"><td class="memItemLeft" align="right" valign="top">proto <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga012c3b0b9f54478589a250089f7f0e1d">ParseString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> input, out <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> tokens[])</td></tr>
<tr class="memdesc:ga012c3b0b9f54478589a250089f7f0e1d"><td class="mdescLeft">&#160;</td><td class="mdescRight">Parses string into array of tokens returns number of tokens.  <a href="../../d5/d78/group___enforce.html#ga012c3b0b9f54478589a250089f7f0e1d">More...</a><br /></td></tr>
<tr class="separator:ga012c3b0b9f54478589a250089f7f0e1d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b152a171728676be2c51157448a6125"><td class="memItemLeft" align="right" valign="top">proto native <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga3b152a171728676be2c51157448a6125">KillThread</a> (<a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> owner, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>)</td></tr>
<tr class="memdesc:ga3b152a171728676be2c51157448a6125"><td class="mdescLeft">&#160;</td><td class="mdescRight">Kills thread.  <a href="../../d5/d78/group___enforce.html#ga3b152a171728676be2c51157448a6125">More...</a><br /></td></tr>
<tr class="separator:ga3b152a171728676be2c51157448a6125"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga85a47449ac58883c3847c07d15624276"><td class="memItemLeft" align="right" valign="top">proto volatile void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga85a47449ac58883c3847c07d15624276">Idle</a> ()</td></tr>
<tr class="separator:ga85a47449ac58883c3847c07d15624276"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga45b957c2098ba0baae501861a18f0efb"><td class="memItemLeft" align="right" valign="top">proto owned <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga45b957c2098ba0baae501861a18f0efb">ThreadFunction</a> (<a class="el" href="../../d5/d78/group___enforce.html#d4/d14/class_class">Class</a> owner, <a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> <a class="el" href="../../db/d3f/_plugin_day_z_infected_debug_8c.html#a8ccf841cb59e451791bcb2e1ac4f1edc">name</a>, <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> backtrace, out <a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> linenumber)</td></tr>
<tr class="memdesc:ga45b957c2098ba0baae501861a18f0efb"><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="../../da/d7d/class_debug.html">Debug</a> function. Returns current function on stack of the thread.  <a href="../../d5/d78/group___enforce.html#ga45b957c2098ba0baae501861a18f0efb">More...</a><br /></td></tr>
<tr class="separator:ga45b957c2098ba0baae501861a18f0efb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga7a883b203754a93b0812b058ca80effd"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga7a883b203754a93b0812b058ca80effd">String</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> s)</td></tr>
<tr class="memdesc:ga7a883b203754a93b0812b058ca80effd"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper for passing string expression to functions with void parameter. Example: Print(String("Hello " + var));.  <a href="../../d5/d78/group___enforce.html#ga7a883b203754a93b0812b058ca80effd">More...</a><br /></td></tr>
<tr class="separator:ga7a883b203754a93b0812b058ca80effd"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga57f32b036e535bd975e903bb47bc7c3c"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d5/d78/group___enforce.html#ga57f32b036e535bd975e903bb47bc7c3c">PrintString</a> (<a class="el" href="../../d5/da2/group___strings.html#d5/d92/classstring">string</a> s)</td></tr>
<tr class="memdesc:ga57f32b036e535bd975e903bb47bc7c3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Helper for printing out string expression. Example: PrintString("Hello " + var);.  <a href="../../d5/d78/group___enforce.html#ga57f32b036e535bd975e903bb47bc7c3c">More...</a><br /></td></tr>
<tr class="separator:ga57f32b036e535bd975e903bb47bc7c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_dc42280174b209627d8212c9e40d7e50.html">scripts</a></li><li class="navelem"><a class="el" href="../../dir_8458acb75977370f2590729f022fcd01.html">1_Core</a></li><li class="navelem"><a class="el" href="../../dir_55f504f971b0759ce397ed6ea605b012.html">proto</a></li><li class="navelem"><a class="el" href="../../d4/d15/_en_script_8c.html">EnScript.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
